{ lib, pkgs, machine, user }:
  let
    hostname = machine.name;
    username = user.name;
    getUserConfig = pkgs.callPackage (import ./user-config.nix);
    userConfigPath = getUserConfig { inherit hostname username; };
  in { pkgs, ... }: {
    imports = lib.optional (userConfigPath != null) userConfigPath;

    config = {
      _module.args = {
        inherit
          machine
          user
        ;
      };
    };
  }